> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-plan-score-trends/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get compliance scores from reports grouped by plan over a period GET https://example.itential.io/configuration_manager/compliance_reports/score_trend/{deviceName} Scans ucm_compliance_reports and returns per-day average compliance scores for the given device. Scores across nodes in the same plan run are averaged, then multiple runs on the same day are averaged. Missing dates are returned with score 0. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-plan-score-trends ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `deviceName` (string, required) — deviceName ### Query parameters - `days` (integer, optional) — Number of days to look back - `planIds` (list of string, optional) — Optional list of compliance plan IDs to filter results by ## Response ### 200 Compliance score trends grouped by plan ID - `list of object` - `planId` (string, optional) - `scores` (list of object, optional) - `timestamp` (string, optional) — Date in YYYY-MM-DD format - `score` (double, optional) — Average compliance score for the day (0 if no reports ran) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json [ { "planId": "string", "scores": [ { "timestamp": "string", "score": 1.1 } ] } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName") .asString(); ``` ```php request('GET', 'https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/compliance_reports/score_trend/deviceName")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```